import { OAuthApi } from '@backstage/core-plugin-api';
import { KubernetesRequestBody } from '@backstage/plugin-kubernetes-common';
import { KubernetesAuthProvider } from './types';
/** @public */
export declare class AksKubernetesAuthProvider implements KubernetesAuthProvider {
    private readonly microsoftAuthApi;
    constructor(microsoftAuthApi: OAuthApi);
    decorateRequestBodyForAuth(requestBody: KubernetesRequestBody): Promise<KubernetesRequestBody>;
    getCredentials(): Promise<{
        token?: string;
    }>;
}
